Package org.eclipse.graphiti.mm.algorithms.styles

# Enum Class LineStyle

java.lang.Object
java.lang.Enum<LineStyle>
org.eclipse.graphiti.mm.algorithms.styles.LineStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<LineStyle>`, `Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum LineStyle extends Enum<LineStyle> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Line Style', and utility methods for working with them.

See Also:
  - `StylesPackage.getLineStyle()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DASH`
The 'DASH' literal object.
`DASHDOT`
The 'DASHDOT' literal object.
`DASHDOTDOT`
The 'DASHDOTDOT' literal object.
`DOT`
The 'DOT' literal object.
`SOLID`
The 'SOLID' literal object.
`UNSPECIFIED`
The 'UNSPECIFIED' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DASH_VALUE`
The 'DASH' literal value.
`static final int`
`DASHDOT_VALUE`
The 'DASHDOT' literal value.
`static final int`
`DASHDOTDOT_VALUE`
The 'DASHDOTDOT' literal value.
`static final int`
`DOT_VALUE`
The 'DOT' literal value.
`static final int`
`SOLID_VALUE`
The 'SOLID' literal value.
`static final int`
`UNSPECIFIED_VALUE`
The 'UNSPECIFIED' literal value.
`static final List<LineStyle>`
`VALUES`
A public read-only list of all the 'Line Style' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static LineStyle`
`get(int value)`
Returns the 'Line Style' literal with the specified integer value.
`static LineStyle`
`get(String literal)`
Returns the 'Line Style' literal with the specified literal value.
`static LineStyle`
`getByName(String name)`
Returns the 'Line Style' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static LineStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LineStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOLID

public static final LineStyle SOLID
The 'SOLID' literal object.

See Also:
  - `SOLID_VALUE`

### DASH

public static final LineStyle DASH
The 'DASH' literal object.

See Also:
  - `DASH_VALUE`

### DASHDOT

public static final LineStyle DASHDOT
The 'DASHDOT' literal object.

See Also:
  - `DASHDOT_VALUE`

### DASHDOTDOT

public static final LineStyle DASHDOTDOT
The 'DASHDOTDOT' literal object.

See Also:
  - `DASHDOTDOT_VALUE`

### DOT

public static final LineStyle DOT
The 'DOT' literal object.

See Also:
  - `DOT_VALUE`

### UNSPECIFIED

public static final LineStyle UNSPECIFIED
The 'UNSPECIFIED' literal object.

See Also:
  - `UNSPECIFIED_VALUE`

## Field Details

### SOLID_VALUE

public static final int SOLID_VALUE
The 'SOLID' literal value.

If the meaning of 'SOLID' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SOLID`
  - Constant Field Values

### DASH_VALUE

public static final int DASH_VALUE
The 'DASH' literal value.

If the meaning of 'DASH' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DASH`
  - Constant Field Values

### DASHDOT_VALUE

public static final int DASHDOT_VALUE
The 'DASHDOT' literal value.

If the meaning of 'DASHDOT' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DASHDOT`
  - Constant Field Values

### DASHDOTDOT_VALUE

public static final int DASHDOTDOT_VALUE
The 'DASHDOTDOT' literal value.

If the meaning of 'DASHDOTDOT' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DASHDOTDOT`
  - Constant Field Values

### DOT_VALUE

public static final int DOT_VALUE
The 'DOT' literal value.

If the meaning of 'DOT' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DOT`
  - Constant Field Values

### UNSPECIFIED_VALUE

public static final int UNSPECIFIED_VALUE
The 'UNSPECIFIED' literal value.

If the meaning of 'UNSPECIFIED' literal object isn't clear, there really should be more of a description here...

See Also:
  - `UNSPECIFIED`
  - Constant Field Values

### VALUES

public static final List<LineStyle> VALUES
A public read-only list of all the 'Line Style' enumerators.

## Method Details

### values

public static LineStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LineStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static LineStyle get(String literal)
Returns the 'Line Style' literal with the specified literal value.

### getByName

public static LineStyle getByName(String name)
Returns the 'Line Style' literal with the specified name.

### get

public static LineStyle get(int value)
Returns the 'Line Style' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<LineStyle>`